"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _react2 = require("@headlessui/react");

var _outline = require("@heroicons/react/outline");

var _solid = require("@heroicons/react/solid");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/* This example requires Tailwind CSS v2.0+ */
var classNames = function classNames() {
  for (var _len = arguments.length, classes = new Array(_len), _key = 0; _key < _len; _key++) {
    classes[_key] = arguments[_key];
  }

  return classes.filter(Boolean).join(' ');
};

var MarketingHeader = function MarketingHeader(_ref) {
  var logo = _ref.logo,
      logoMark = _ref.logoMark,
      user = _ref.user,
      currentUser = _ref.currentUser,
      logOut = _ref.logOut;
  return /*#__PURE__*/_react.default.createElement(_react2.Disclosure, {
    as: "nav",
    className: "bg-white shadow"
  }, function (_ref2) {
    var open = _ref2.open;
    return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement("div", {
      className: "flex justify-between h-16"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "flex"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "flex-shrink-0 flex items-center pl-2"
    }, /*#__PURE__*/_react.default.createElement("img", {
      className: "block lg:hidden h-8 w-auto",
      src: logoMark.url,
      alt: ""
    }), /*#__PURE__*/_react.default.createElement("img", {
      className: "hidden lg:block h-8 w-auto",
      src: logo.url,
      alt: ""
    }))), /*#__PURE__*/_react.default.createElement("div", {
      className: "space-x-4 hidden md:block pt-4"
    }, currentUser ? /*#__PURE__*/_react.default.createElement("div", {
      className: "absolute inset-y-0 right-0 flex items-center pr-2 sm:static sm:inset-auto sm:ml-6 sm:pr-0 mr-3"
    }, /*#__PURE__*/_react.default.createElement("button", {
      className: "ml-auto flex-shrink-0 bg-white p-2 rounded-full text-gray-400 hover:text-gray-500 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
    }, /*#__PURE__*/_react.default.createElement("span", {
      className: "sr-only"
    }, "View notifications"), /*#__PURE__*/_react.default.createElement(_solid.BellIcon, {
      className: "h-6 w-6",
      "aria-hidden": "true"
    })), /*#__PURE__*/_react.default.createElement(_react2.Menu, {
      as: "div",
      className: "ml-3 relative"
    }, function (_ref3) {
      var open = _ref3.open;
      return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", null, /*#__PURE__*/_react.default.createElement(_react2.Menu.Button, {
        className: "bg-gray-800 flex text-sm rounded-full focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-offset-gray-800 focus:ring-white"
      }, /*#__PURE__*/_react.default.createElement("span", {
        className: "sr-only"
      }, "Open user menu"), /*#__PURE__*/_react.default.createElement("img", {
        className: "h-8 w-8 rounded-full",
        src: user.imagesUrl,
        alt: ""
      }))), /*#__PURE__*/_react.default.createElement(_react2.Transition, {
        show: open,
        as: _react.Fragment,
        enter: "transition ease-out duration-100",
        enterFrom: "transform opacity-0 scale-95",
        enterTo: "transform opacity-100 scale-100",
        leave: "transition ease-in duration-75",
        leaveFrom: "transform opacity-100 scale-100",
        leaveTo: "transform opacity-0 scale-95"
      }, /*#__PURE__*/_react.default.createElement(_react2.Menu.Items, {
        static: true,
        className: "origin-top-right absolute right-0 mt-2 w-48 rounded-md shadow-lg py-1 bg-white ring-1 ring-black ring-opacity-5 focus:outline-none"
      }, /*#__PURE__*/_react.default.createElement(_react2.Menu.Item, null, function (_ref4) {
        var active = _ref4.active;
        return /*#__PURE__*/_react.default.createElement("a", {
          href: "#",
          onClick: logOut,
          className: classNames(active ? 'bg-gray-100' : '', 'block px-4 py-2 text-sm text-gray-700')
        }, "Sign out");
      }))));
    })) : /*#__PURE__*/_react.default.createElement("div", {
      className: "mr-3"
    }, /*#__PURE__*/_react.default.createElement("button", {
      type: "button",
      className: "relative inline-flex items-center px-4 py-2 border border-transparent text-sm font-medium rounded-md text-white bg-indigo-500 shadow-sm hover:bg-indigo-600 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
    }, /*#__PURE__*/_react.default.createElement(_solid.SparklesIcon, {
      className: "-ml-1 mr-2 h-5 w-5",
      "aria-hidden": "true"
    }), /*#__PURE__*/_react.default.createElement("span", null, "Become A Partner")), /*#__PURE__*/_react.default.createElement("button", {
      type: "button",
      className: "relative inline-flex items-center px-4 py-2 border border-transparent text-sm font-medium rounded-md text-indigo-500 bg-white hover:text-indigo-600 hover:bg-gray-50 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-50"
    }, /*#__PURE__*/_react.default.createElement(_outline.LoginIcon, {
      className: "-ml-1 mr-2 h-5 w-5",
      "aria-hidden": "true"
    }), /*#__PURE__*/_react.default.createElement("span", null, "Login/Register")))), /*#__PURE__*/_react.default.createElement("div", {
      className: "-mr-2 flex items-center sm:hidden px-4"
    }, /*#__PURE__*/_react.default.createElement(_react2.Disclosure.Button, {
      className: "inline-flex items-center justify-center p-2 rounded-md text-gray-400 hover:text-gray-500 hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-inset focus:ring-indigo-500"
    }, /*#__PURE__*/_react.default.createElement("span", {
      className: "sr-only"
    }, "Open main menu"), open ? /*#__PURE__*/_react.default.createElement(_outline.XIcon, {
      className: "block h-6 w-6",
      "aria-hidden": "true"
    }) : /*#__PURE__*/_react.default.createElement(_outline.MenuIcon, {
      className: "block h-6 w-6",
      "aria-hidden": "true"
    }))))), /*#__PURE__*/_react.default.createElement(_react2.Disclosure.Panel, {
      className: "sm:hidden"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "pt-2 pb-3 space-y-1 shadow rounded-md"
    }, currentUser ? /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("div", {
      className: "flex items-center px-4 sm:px-6"
    }, /*#__PURE__*/_react.default.createElement("div", {
      className: "flex-shrink-0"
    }, /*#__PURE__*/_react.default.createElement("img", {
      className: "h-10 w-10 rounded-full",
      src: user.imagesUrl,
      alt: ""
    })), /*#__PURE__*/_react.default.createElement("div", {
      className: "ml-3"
    }, user.firstName && user.lastName && /*#__PURE__*/_react.default.createElement("div", {
      className: "text-base font-medium text-gray-800"
    }, "".concat(user.firstName, " ").concat(user.lastName)), user.email && /*#__PURE__*/_react.default.createElement("div", {
      className: "text-sm font-medium text-gray-500"
    }, user.email)), /*#__PURE__*/_react.default.createElement("button", {
      className: "ml-auto flex-shrink-0 bg-white p-1 rounded-full text-gray-400 hover:text-gray-500 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
    }, /*#__PURE__*/_react.default.createElement("span", {
      className: "sr-only"
    }, "View notifications"), /*#__PURE__*/_react.default.createElement(_solid.BellIcon, {
      className: "h-6 w-6",
      "aria-hidden": "true"
    }))), /*#__PURE__*/_react.default.createElement("div", {
      className: "mt-3 space-y-1"
    }, /*#__PURE__*/_react.default.createElement("a", {
      href: "#",
      className: "block px-4 py-2 text-base font-medium text-gray-500 hover:text-gray-800 hover:bg-gray-100 sm:px-6",
      onClick: logOut
    }, "Sign out"))) : /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, /*#__PURE__*/_react.default.createElement("a", {
      href: "#",
      className: "text-black block pl-3 pr-4 py-2 text-base font-medium hover:text-indigo-600"
    }, "Become A Partner"), /*#__PURE__*/_react.default.createElement("a", {
      href: "/signin",
      className: "bg-indigo-50 border-indigo-500 text-indigo-500 border-transparent hover:bg-indigo-100 hover:border-indigo-300 hover:text-indigo-600 block pl-3 pr-4 py-2 border-l-4 text-base font-medium"
    }, "Login/Register")))));
  });
};

var _default = MarketingHeader;
exports.default = _default;