"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PartnerLoggedIn = exports.UserLoggedOut = exports.UserLoggedIn = exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _index = require("../../index");

var _outline = require("@heroicons/react/outline");

var _logo = _interopRequireDefault(require("../assets/logo.svg"));

var _logo_mark = _interopRequireDefault(require("../assets/logo_mark.svg"));

var _default = {
  title: 'Otto/Application Header',
  component: _index.ApplicationHeader
};
exports.default = _default;
var logo = {
  url: _logo.default
};
var logoMark = {
  url: _logo_mark.default
};

var Template = function Template(args) {
  return /*#__PURE__*/_react.default.createElement(_index.ApplicationHeader, args);
};

var user = {
  firstName: 'Tom',
  lastName: 'Cook',
  emailAddress: 'tom@example.com',
  imagesUrl: 'https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80'
};
var loggedOutUser = null; // Customer Navigation

var navigation = [{
  name: 'Book Now',
  href: '#',
  icon: _outline.LocationMarkerIcon,
  current: true
}, {
  name: 'My Trips',
  href: '#',
  icon: _outline.TruckIcon,
  current: false
}];
var miscellaneousNavigation = [{
  name: 'Support',
  href: '#',
  icon: _outline.SupportIcon,
  current: false
}]; // Partner Navigation

var navigationPartner = [{
  name: 'My Bookings',
  href: '#',
  icon: _outline.CalendarIcon,
  current: false
}, {
  name: 'My Fleet',
  href: '#',
  icon: _outline.TruckIcon,
  current: true
}, {
  name: 'Manage',
  href: '#',
  icon: _outline.OfficeBuildingIcon,
  current: false
}];
var miscellaneousPartner = [{
  name: 'Get Insurance',
  href: '#',
  icon: _outline.CollectionIcon,
  current: false
}, {
  name: 'Support',
  href: '#',
  icon: _outline.SupportIcon,
  current: false
}]; //Common User Navigation

var userProfileNavigation = [{
  name: 'Your Profile',
  href: '#'
}, {
  name: 'Sign out',
  href: '#'
}];

var children = /*#__PURE__*/_react.default.createElement("div", {
  className: "py-6"
}, /*#__PURE__*/_react.default.createElement("div", {
  className: "max-w-7xl mx-auto px-4 sm:px-6 md:px-8"
}, /*#__PURE__*/_react.default.createElement("h1", {
  className: "text-2xl font-semibold text-gray-900"
}, "Main Content Goes Here")), /*#__PURE__*/_react.default.createElement("div", {
  className: "max-w-7xl mx-auto px-4 sm:px-6 md:px-8"
}, /*#__PURE__*/_react.default.createElement("div", {
  className: "py-4"
}, /*#__PURE__*/_react.default.createElement("div", {
  className: "border-4 border-dashed border-gray-200 rounded-lg h-96"
}))));

var UserLoggedIn = Template.bind({});
exports.UserLoggedIn = UserLoggedIn;
UserLoggedIn.args = {
  logo: logo,
  logoMark: logoMark,
  user: user,
  navigation: navigation,
  miscellaneousNavigation: miscellaneousNavigation,
  userProfileNavigation: userProfileNavigation,
  children: children
};
var UserLoggedOut = Template.bind({});
exports.UserLoggedOut = UserLoggedOut;
UserLoggedOut.args = {
  logo: logo,
  logoMark: logoMark,
  user: loggedOutUser,
  navigation: navigation,
  miscellaneousNavigation: miscellaneousNavigation,
  userProfileNavigation: userProfileNavigation,
  children: children
};
var PartnerLoggedIn = Template.bind({});
exports.PartnerLoggedIn = PartnerLoggedIn;
PartnerLoggedIn.args = {
  logo: logo,
  logoMark: logoMark,
  user: user,
  navigation: navigationPartner,
  miscellaneousNavigation: miscellaneousPartner,
  userProfileNavigation: userProfileNavigation
};