import React from 'react';
import { ApplicationHeader }  from '../../index';
import {
    CalendarIcon,
    LocationMarkerIcon,
    TruckIcon,
    SupportIcon,
    OfficeBuildingIcon,
    CollectionIcon
  } from '@heroicons/react/outline'
import Logo from '../assets/logo.svg'
import LogoMark from '../assets/logo_mark.svg';

export default {
  title: 'Otto/Application Header',
  component: ApplicationHeader,
};

const logo = {
  url: Logo
};

const logoMark = {
  url: LogoMark
}

const Template = (args) => <ApplicationHeader {...args} />;
const user = {
  firstName: 'Tom',
  lastName: 'Cook',
  emailAddress: 'tom@example.com',
  imagesUrl:
    'https://images.unsplash.com/photo-1472099645785-5658abf4ff4e?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=facearea&facepad=2&w=256&h=256&q=80',
}
const loggedOutUser = null;

// Customer Navigation
const navigation = [
  { name: 'Book Now', href: '#', icon: LocationMarkerIcon, current: true},
  { name: 'My Trips', href: '#', icon: TruckIcon, current: false },
]
  
const miscellaneousNavigation = [
  { name: 'Support', href: '#', icon: SupportIcon, current: false },
]
  
// Partner Navigation
const navigationPartner = [
  { name: 'My Bookings', href: '#', icon: CalendarIcon, current: false },
  { name: 'My Fleet', href: '#', icon: TruckIcon, current: true },
  { name: 'Manage', href: '#', icon: OfficeBuildingIcon, current: false },
]
  
const miscellaneousPartner = [
  { name: 'Get Insurance', href: '#', icon: CollectionIcon, current: false },
  { name: 'Support', href: '#', icon: SupportIcon, current: false },
]
  
//Common User Navigation
const userProfileNavigation = [
  { name: 'Your Profile', href: '#' },
  { name: 'Sign out', href: '#' },
]

const children = (
  <div className="py-6">
    <div className="max-w-7xl mx-auto px-4 sm:px-6 md:px-8">
      <h1 className="text-2xl font-semibold text-gray-900">
        Main Content Goes Here
      </h1>
    </div>
    <div className="max-w-7xl mx-auto px-4 sm:px-6 md:px-8">
      {/* Replace with your content */}
      <div className="py-4">
        <div className="border-4 border-dashed border-gray-200 rounded-lg h-96" />
      </div>
      {/* /End replace */}
    </div>
  </div>
)

export const UserLoggedIn = Template.bind({});
UserLoggedIn.args = {
  logo,
  logoMark,
  user,
  navigation,
  miscellaneousNavigation,
  userProfileNavigation,
  children
};

export const UserLoggedOut = Template.bind({});
UserLoggedOut.args = {
  logo,
  logoMark,
  user: loggedOutUser,
  navigation,
  miscellaneousNavigation,
  userProfileNavigation,
  children
};

export const PartnerLoggedIn = Template.bind({});
PartnerLoggedIn.args = {
  logo,
  logoMark,
  user,
  navigation: navigationPartner,
  miscellaneousNavigation: miscellaneousPartner,
  userProfileNavigation
};
